node {
    def WORKSPACE = "/var/lib/jenkins/workspace/springboot-deploy"
    def dockerImageTag = "testepipe${env.BUILD_NUMBER}"

    try{
//          notifyBuild('STARTED')
         stage('Clone Repo') {
            // for display purposes
            // Get some code from a GitHub repository
            git url: 'https://gitlab.com/iuri.petrola/testepipe.git',
                credentialsId: 'Jenkins',
                branch: 'master'
         }
          stage('Build docker') {
                 dockerImage = docker.build("testepipe:${env.BUILD_NUMBER}")
          }

          stage('Deploy docker'){
                  echo "Docker Image Tag Name: ${dockerImageTag}"
                  sh "docker rm -f testepipe"
                  sh "docker run --name testepipe -d -p 8081:8090 testepipe:${env.BUILD_NUMBER}"
          }
    }catch(e){
//         currentBuild.result = "FAILED"
        throw e
    }finally{
//         notifyBuild(currentBuild.result)
    }
}

